The scripts distributed with this README are designed to help you
build your troubleshooting skills.  Please make sure to read the
COPYRIGHT and WARNINGS.ts files before proceeding.

The troubleshooting problems below assume the following (it is best
to configure your system as described here):

	a.  Authenticate users from your local /etc/passwd file.
	    That is, do not run any network authentication scheme
	    such as NIS or LDAP.

	b.  Use 192.168.0.254 (instructor.example.com) as your
	    resolver.

	c.  Confirm that /usr/local/bin is part of your PATH
	    environment variable.

To begin the troubleshooting problems, run each of the commands below
in turn, fixing each problem before going on to the next command.
Run the commands:

	tsinit break
	tslogin break
	tsnetwork break
	tssudo break

If you have problems with any one command, you may request hints as follows:

	tsinit hint <hint>

e.g.,

	tsinit hint 1

This example returns the first hint for the tsinit problem.
Most problems have several hints and you can ask for each one in turn.
The last hint for any problem always reports that there are no
more hints.

After you have completed each troubleshooting problem, and before
going on to the next one, run the lesson subcommand to see how one
might have approached the problem and what lessons were intended.
lesson subcommands are of the form

	tsinit lesson

This example returns the lesson intended to be taught by tsinit problem.

Ralph Rodriguez Fri Aug 23 11:32:48 MDT 2002
Revised by Brad Smith Tue Oct 23 2007
Revised by Rob Locke Mon Jun 15 2009
